## org.apache.poi.hdf.model.util
Class BTreeSet

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractSet
              org.apache.poi.hdf.model.util.BTreeSet

All Implemented Interfaces:
  java.util.Collection, java.util.Set

public class BTreeSet
extends java.util.AbstractSet

Nested Class Summary
`class` `BTreeSet.BTreeNode`
`static class` `BTreeSet.Entry`

Field Summary
`BTreeSet.BTreeNode` `root`

Constructor Summary
`BTreeSet()`
`BTreeSet(java.util.Collection c)`
`BTreeSet(int order)`
`BTreeSet(int order, java.util.Comparator comparator)`

Method Summary
`boolean` `add(java.lang.Object x)`
`void` `clear()`
`boolean` `contains(java.lang.Object x)`
`static java.util.ArrayList` `findProperties(int start, int end, BTreeSet.BTreeNode root)`
`java.util.Iterator` `iterator()`
`boolean` `remove(java.lang.Object x)`
`int` `size()`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, isEmpty, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`addAll, containsAll, isEmpty, retainAll, toArray, toArray`

Field Detail

### root

    public BTreeSet.BTreeNode root

Constructor Detail

### BTreeSet

    public BTreeSet()

### BTreeSet

    public BTreeSet(java.util.Collection c)

### BTreeSet

    public BTreeSet(int order)

### BTreeSet

    public BTreeSet(int order,
                    java.util.Comparator comparator)

Method Detail

### add

    public boolean add(java.lang.Object x)
                throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### contains

    public boolean contains(java.lang.Object x)

### remove

    public boolean remove(java.lang.Object x)

### size

    public int size()

### clear

    public void clear()

### iterator

    public java.util.Iterator iterator()

### findProperties

    public static java.util.ArrayList findProperties(int start,
                                                     int end,
                                                     BTreeSet.BTreeNode root)

Copyright © 2003 Apache Software Foundation.